Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlrpc.client
Class XmlRpcLocalStreamTransport

    java.lang.Object
      org.apache.xmlrpc.client.XmlRpcTransportImpl
          org.apache.xmlrpc.client.XmlRpcStreamTransport
              org.apache.xmlrpc.client.XmlRpcLocalStreamTransport

All Implemented Interfaces:
  XmlRpcTransport

    public class XmlRpcLocalStreamTransport

extends XmlRpcStreamTransport

Another local transport for debugging and testing. This one is similar to the `XmlRpcLocalTransport`, except that it adds request serialization. In other words, it is particularly well suited for development and testing of XML serialization and parsing.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.xmlrpc.client.XmlRpcStreamTransport
`XmlRpcStreamTransport.GzipReqWriter, XmlRpcStreamTransport.ReqWriter, XmlRpcStreamTransport.ReqWriterImpl`

Constructor Summary
`XmlRpcLocalStreamTransport(XmlRpcClient pClient, XmlRpcStreamRequestProcessor pServer)` Creates a new instance.

Method Summary
`protected void` | `close()` Closes the connection and ensures, that all resources are being released.
`protected java.io.InputStream` | `getInputStream()` Returns the input stream, from which the response is being read.
`protected boolean` | `isResponseGzipCompressed(XmlRpcStreamRequestConfig pConfig)` Returns, whether the response is gzip compressed.
`protected XmlRpcStreamTransport.ReqWriter` | `newReqWriter(XmlRpcRequest pRequest)` Creates a new instance of `XmlRpcStreamTransport.ReqWriter`.
`protected void` | `writeRequest(XmlRpcStreamTransport.ReqWriter pWriter)`

Methods inherited from class org.apache.xmlrpc.client.XmlRpcStreamTransport
`isCompressingRequest, newXMLReader, readResponse, sendRequest`

Methods inherited from class org.apache.xmlrpc.client.XmlRpcTransportImpl
`getClient`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlRpcLocalStreamTransport

    public XmlRpcLocalStreamTransport(XmlRpcClient pClient,
                                      XmlRpcStreamRequestProcessor pServer)

  Creates a new instance.

  Parameters:
    `pClient` - The client, which is controlling the transport.
    `pServer` - An instance of `XmlRpcStreamRequestProcessor`.

Method Detail

### isResponseGzipCompressed

    protected boolean isResponseGzipCompressed(XmlRpcStreamRequestConfig pConfig)

  Description copied from class: `XmlRpcStreamTransport`
  Returns, whether the response is gzip compressed.

  Specified by:
    `isResponseGzipCompressed` in class `XmlRpcStreamTransport`
  Parameters:
    `pConfig` - The clients configuration.
  Returns:
    Whether the response stream is gzip compressed.

### close

    protected void close()
                  throws XmlRpcClientException

  Description copied from class: `XmlRpcStreamTransport`
  Closes the connection and ensures, that all resources are being released.

  Specified by:
    `close` in class `XmlRpcStreamTransport`
  Throws:
    `XmlRpcClientException`

### getInputStream

    protected java.io.InputStream getInputStream()
                                          throws XmlRpcException

  Description copied from class: `XmlRpcStreamTransport`
  Returns the input stream, from which the response is being read.

  Specified by:
    `getInputStream` in class `XmlRpcStreamTransport`
  Throws:
    `XmlRpcException`

### newReqWriter

    protected XmlRpcStreamTransport.ReqWriter newReqWriter(XmlRpcRequest pRequest)
                                                    throws XmlRpcException,
                                                           java.io.IOException,
                                                           org.xml.sax.SAXException

  Description copied from class: `XmlRpcStreamTransport`
  Creates a new instance of `XmlRpcStreamTransport.ReqWriter`.

  Overrides:
    `newReqWriter` in class `XmlRpcStreamTransport`
  Throws:
    `XmlRpcException` - Creating the instance failed.
    `java.io.IOException` - Creating the instance failed, because an `IOException` occurs.
    `org.xml.sax.SAXException` - Creating the instance failed, because the request could not be parsed.

### writeRequest

    protected void writeRequest(XmlRpcStreamTransport.ReqWriter pWriter)
                         throws XmlRpcException,
                                java.io.IOException,
                                org.xml.sax.SAXException

  Specified by:
    `writeRequest` in class `XmlRpcStreamTransport`
  Throws:
    `XmlRpcException`
    `java.io.IOException`
    `org.xml.sax.SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.